@nteract/plotly

A minimal version of the plotly.js library

Stats

stars 🌟issues ⚠️updated 🛠created 🐣size 🏋️‍♀️
31Sep 4, 2019Apr 11, 2017Minified + gzip package size for @nteract/plotly in KB

Readme

@nteract/plotly

npm (scoped) Build Status

A minified version of the plotly library.

Installation

npm install @nteract/plotly

Usage Example

const Plotly = require("@nteract/plotly");
const div = document.createElement("div");
document.body.appendChild(div);
Plotly.plot(
  div,
  [
    {
      x: [1, 2, 3, 4, 5],
      y: [1, 2, 4, 8, 16]
    }
  ],
  {
    margin: { t: 0 }
  }
);

Plotly Library

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.